> :exclamation: **DEPRECATED** :exclamation: : Superseded by @fdmg/design-system. See: https://github.com/FDMediagroep/fd-design-system

# FDMG React components
List of all FDMG React components. Where applicable the components will try to use available data to automatically generate ARIA-attributes if not specified manually. All components are written in TypeScript and export its typings to maximize IDE support.

## Components
Components are atomic components with no dependencies to other components.

| Name                                                                      | Install cmd                                    | NPM Version                                                                                                                              | Build                                                                                                                                                             | Coverage                                                                                                                                                                                                   |                                                                                                                                          |
| ------------------------------------------------------------------------- | ---------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| [Anchor](https://github.com/FDMediagroep/fdmg-ts-react-anchor)            | `npm i @fdmg/ts-react-anchor --save-dev`       | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-anchor.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-anchor)             | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-anchor.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-anchor)             | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-anchor/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-anchor?branch=master)             | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-anchor.svg)](https://greenkeeper.io/)                     |
| [H1](https://github.com/FDMediagroep/fdmg-ts-react-h1)                    | `npm i @fdmg/ts-react-h1 --save-dev`           | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-h1.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-h1)                     | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-h1.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-h1)                     | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-h1/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-h1?branch=master)                     | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-h1.svg)](https://greenkeeper.io/)                         |
| [H2](https://github.com/FDMediagroep/fdmg-ts-react-h2)                    | `npm i @fdmg/ts-react-h2 --save-dev`           | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-h2.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-h2)                     | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-h2.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-h2)                     | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-h2/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-h2?branch=master)                     | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-h2.svg)](https://greenkeeper.io/)                         |
| [Image](https://github.com/FDMediagroep/fdmg-ts-react-image)              | `npm i @fdmg/ts-react-image --save-dev`        | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-image.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-image)               | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-image.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-image)               | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-image/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-image?branch=master)               | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-image.svg)](https://greenkeeper.io/)                      |
| [ProgressBar](https://github.com/FDMediagroep/fdmg-ts-react-progress-bar) | `npm i @fdmg/ts-react-progress-bar --save-dev` | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-progress-bar.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-progress-bar) | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-progress-bar.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-progress-bar) | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-progress-bar/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-progress-bar?branch=master) | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-progress-bar.svg)](https://greenkeeper.io/)               |

## Composites
Composites are components which dependent on one or more components.

| Name                                                                            | Install cmd                                       | NPM Version                                                                                                                                    | Build                                                                                                                                                                   | Coverage                                                                                                                                                                                                            |                                                                                                                                          |
| ------------------------------------------------------------------------------- | ------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| [ImageButton](https://github.com/FDMediagroep/fdmg-ts-react-image-button)       | `npm i @fdmg/ts-react-image-button --save-dev`    | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-image-button.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-image-button)       | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-image-button.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-image-button)       | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-image-button/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-image-button?branch=master)          | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-image-button.svg)](https://greenkeeper.io/)               |
| [LinkedImage](https://github.com/FDMediagroep/fdmg-ts-react-linked-image)       | `npm i @fdmg/ts-react-linked-image --save-dev`    | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-linked-image.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-linked-image)       | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-linked-image.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-linked-image)       | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-linked-image/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-linked-image?branch=master)          | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-linked-image.svg)](https://greenkeeper.io/)               |
| [PlayerControls](https://github.com/FDMediagroep/fdmg-ts-react-player-controls) | `npm i @fdmg/ts-react-player-controls --save-dev` | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-player-controls.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-player-controls) | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-player-controls.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-player-controls) | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-player-controls/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-player-controls?branch=master)    | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-player-controls.svg)](https://greenkeeper.io/)            |

## Widgets
Widgets are feature-complete stand-alone composites.

| Name                                                                            | Install cmd                                      | NPM Version                                                                                                                                    | Build                                                                                                                                                                   | Coverage                                                                                                                                                                                                            |                                                                                                                                          |
| ------------------------------------------------------------------------------- | ------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| [AudioWidget](https://github.com/FDMediagroep/fdmg-ts-react-audio-widget)       | `npm i @fdmg/ts-react-audio-widget --save-dev`    | [![npm version](https://badge.fury.io/js/%40fdmg%2Fts-react-audio-widget.svg)](https://badge.fury.io/js/%40fdmg%2Fts-react-audio-widget)       | [![Build Status](https://travis-ci.org/FDMediagroep/fdmg-ts-react-audio-widget.svg?branch=master)](https://travis-ci.org/FDMediagroep/fdmg-ts-react-audio-widget)       | [![Coverage Status](https://coveralls.io/repos/github/FDMediagroep/fdmg-ts-react-audio-widget/badge.svg?branch=master)](https://coveralls.io/github/FDMediagroep/fdmg-ts-react-audio-widget?branch=master)         | [![Greenkeeper badge](https://badges.greenkeeper.io/FDMediagroep/fdmg-ts-react-audio-widget.svg)](https://greenkeeper.io/)               |
